﻿using System;
using System.IO;
using Microsoft.Web.Deployment;

namespace MSDeployCustomProviders
{
    [DeploymentProviderFactory]
    public class BatchProviderFactory : DeploymentProviderFactory
    {
        protected override DeploymentObjectProvider Create(DeploymentProviderContext providerContext, DeploymentBaseContext baseContext)
        {
            return new BatchProvider(providerContext, baseContext);
        }

        public override string Description
        {
            get { return @"Custom provider to execute batch files"; }
        }

        public override string ExamplePath
        {
            get { return @"d:\batchfile.bat"; }
        }

        public override string FriendlyName
        {
            get { return "batch"; }
        }

        public override string Name
        {
            get { return "batch"; }
        }
    }
}